Package ghidra.program.util

# Class VariableXRefHeaderFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.VariableLocation
ghidra.program.util.VariableXRefFieldLocation
ghidra.program.util.VariableXRefHeaderFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class VariableXRefHeaderFieldLocation extends VariableXRefFieldLocation

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableXRefHeaderFieldLocation()`
  Should only be used for XML restoring.
  `VariableXRefHeaderFieldLocation(Program program, Variable var, int charOffset, Address refAddr)`
  Creates a variable xref field program location

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.VariableXRefFieldLocation

  `getIndex, getReferenceAddress, toString`

  ### Methods inherited from class ghidra.program.util.VariableLocation

  `compareTo, equals, getVariable, isLocationFor, isParameter, isReturn, isValid, restoreState, saveState`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, hashCode`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VariableXRefHeaderFieldLocation

    public VariableXRefHeaderFieldLocation()
    Should only be used for XML restoring.

  - ### VariableXRefHeaderFieldLocation

    public VariableXRefHeaderFieldLocation(Program program, Variable var, int charOffset, Address refAddr)
    Creates a variable xref field program location
    Parameters:
      `program` - the program of the location
      `var` - the variable
      `charOffset` - the character offset
      `refAddr` - the xref address